// Test_msXml.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <stdio.h>
#import <msxml4.dll>
using namespace MSXML2;

void dump_com_error(_com_error &e);

_bstr_t validateFile(_bstr_t strFile)
{
   // Initialize objects and variables.
   IXMLDOMDocument2Ptr pXMLDoc = NULL;
   MSXML2::IXMLDOMParseErrorPtr  pError = NULL;
   _bstr_t strResult = "";

   // Create a DOMDocument and set its properties.
   HRESULT hr = pXMLDoc.CreateInstance(__uuidof(DOMDocument40));
   pXMLDoc->async = VARIANT_FALSE;
   pXMLDoc->validateOnParse = VARIANT_TRUE;
   pXMLDoc->resolveExternals = VARIANT_TRUE;

   // Load and validate the specified file into the DOM.
   hr = pXMLDoc->load(strFile);
   pError = pXMLDoc->parseError;

   // Return validation results in message to the user.
   if (pError->errorCode != S_OK)
   {
      strResult = _bstr_t("Validation failed on ") + strFile +
         _bstr_t("\n=====================") +
         _bstr_t("\nReason: ") + _bstr_t(pError->Getreason()) +
         _bstr_t("\nSource: ") + _bstr_t(pError->GetsrcText()) +
         _bstr_t("\nLine: ") + _bstr_t(pError->Getline()) +
         _bstr_t("\n");
   }
   else
      strResult = _bstr_t("Validation succeeded for ") + strFile +
         _bstr_t("\n======================\n") +
         _bstr_t(pXMLDoc->xml) + _bstr_t("\n");

   return strResult;

   // Clean up and destroy objects.
   if (pXMLDoc) pXMLDoc.Release();
   if (pError) pError.Release();
}

void dump_com_error(_com_error &e)
{
   printf("Error\n");
   printf("\a\tCode = %08lx\n", e.Error());
   printf("\a\tCode meaning = %s", e.ErrorMessage());
   _bstr_t bstrSource(e.Source());
   _bstr_t bstrDescription(e.Description());
   printf("\a\tSource = %s\n", (LPCSTR) bstrSource);
   printf("\a\tDescription = %s\n", (LPCSTR) bstrDescription);
}

int _tmain(int argc, _TCHAR* argv[])
{
   CoInitialize(NULL);
   try{
      _bstr_t sOutput = validateFile("Test_msXml.xml");
      MessageBox(NULL,sOutput, "noNamespace",MB_OK);
   }
   catch(_com_error &e)
   {
      dump_com_error(e);
   }

	return 0;
}