<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<xsl:apply-templates/>
		</html>
	</xsl:template>
	
	<xsl:template match="purchaseOrder">
		<head>
			<title>Purchase Order - Order Date : <xsl:value-of select="@orderDate"/></title>
		</head>
		
		<body bgcolor="white">
			<h1>Purchase Order Date : <xsl:value-of select="@orderDate"/></h1>
			<h2>Ship to</h2>
			<table border="1">
				<tr>
					<td>Country</td><td><xsl:value-of select="shipTo/@country"/></td>
				</tr>
				<tr>
					<td>Name</td><td><xsl:value-of select="shipTo/name"/> </td>
				</tr>
				<tr>
					<td>Street</td><td><xsl:value-of select="shipTo/street"/></td>
				</tr>
				<tr>
					<td>City</td><td><xsl:value-of select="shipTo/city"/></td>
				</tr>
				<tr>
					<td>State</td><td><xsl:value-of select="shipTo/state"/></td>
				<tr>
				</tr>
					<td>Zip</td><td><xsl:value-of select="shipTo/zip"/></td>
				</tr>	
			</table>
			<h2>Bill to</h2>
			<table border="1">
				<tr>
					<td>Country</td><td><xsl:value-of select="billTo/@country"/></td>
				</tr>
				<tr>
					<td>Name</td><td><xsl:value-of select="billTo/name"/> </td>
				</tr>
				<tr>
					<td>Street</td><td><xsl:value-of select="billTo/street"/></td>
				</tr>
				<tr>
					<td>City</td><td><xsl:value-of select="billTo/city"/></td>
				</tr>
				<tr>
					<td>State</td><td><xsl:value-of select="billTo/state"/></td>
				<tr>
				</tr>
					<td>Zip</td><td><xsl:value-of select="billTo/zip"/></td>
				</tr>	
			</table>
		
			<xsl:value-of select="comment"/>
			<table border="1">
				<xsl:for-each select="items/item">
					<xsl:sort select="@partNum" order="ascending"/>
					<tr>
						<td><xsl:value-of select="productName"/></td>
						<td><xsl:value-of select="quantity"/></td>
						<td><xsl:value-of select="USPrice"/></td>
						<td><xsl:value-of select="comment"/></td>
					</tr>
				</xsl:for-each>
			</table>
		</body>
	</xsl:template>
</xsl:stylesheet>